Traincraft 4.0.0 take 3

MrbrutalTraincraft7 Comments

So here’s another version with some more updated things and fixes. We sure hope this is the last version for a while, and we hope there’s no more major bugs.

Traincraft 4.0.0. (035)

Let me stress this again, because it seems that a lot of times this is the case why things go wrong. When installing from 1.4.6/1.4.7 or when updating delete the Traincraft.cft file in config folder. This is why a lot of times things will crash with weird errors. Second thing is, change or make a new world. Since we make new ore blocks things might go wrong because of that. Third, don’t install mods that are not compatible with Traincraft. There are many reasons why some mods are not compatible, and there is simply not enough time in the world to make every mod compatible with Traincaft. Sorry. So if you follow these simple directions, we hope future errors and inconveniences can be somewhat avoided.

Again you can read the changelog hereΒ to see what was updated.

MrbrutalTraincraft 4.0.0 take 3

7 Comments on “Traincraft 4.0.0 take 3”

  1. Tryston9876

    If you could plz help it still crashes when i go to the erebus dimension so if you could plz help me that could be great

  2. Bigglesworth

    Please can we do proper version updates for displaying in things like MultiMC?

    mcmod.info -> “version”: “4.0.0” -> “version”: “4.0.0_35”

    1. Mrbrutal

      “We”? If anyone that’s going to be me doing it, but it’s unlikely to happen. The numbers after the “_” aren’t meant for users, they’re meant for developers to track progress. Besides that, the mcmod.info file is not part of MultiMC but a part of FML to display versioning in-game, and in-game the full number is displayed.

      Right now the only version of Traincraft available to download is 4.0.0. The next version available will probably be named 4.0.1.

      1. Bigglesworth

        If its not meant for users, why are you making a new post about each new “_” version public? You have three versions of 4.0.0 up and it is going to confuse people. “Go download the 4.0.0 version” “But I already have the 4.0.0 version” “Oh what 4.0.0 version do you have?” “ummm..” πŸ˜›

        Consider making all public versions, x.x.1 increments. Also, dont be so angry at suggestions please, we appreciate your good work and luvs ya <3

  3. Sebastian

    Hey You Guy.

    Thx a zillion for reviving this mod, and making it work like a champ. πŸ™‚ my family server is running lean and clean on 1.5.2 now because of it, greatly apreesiated.

    i have a quistion though and i do hope im writing a place where i wont drown in posts, i do appoligise if that is not the case.
    but my problem is that i found with the tenders that the old Heavy steam train is removed. (witch i dont mind i use the old american trains) but its tender is still there. minor wierd.
    but then the tender to 4-4-0 American and 2-6-0 mogul is missing. ( the old wood stacked)
    is this a bug tha has been adressed or am i missing some thing ?

    any way thanks a bunch for continueing this πŸ™‚

    1. Mrbrutal

      We removed some trains and put some new ones in, so that might just be that. But we might also add some more in the future so the tenders are there for that reason. But I guess I can check where the mogul one went. Cheers, Mrbrutal

      1. Sebastian

        hehe i found my error. i hadd the 4.0.0 version but that you had fixed some isues with so i updated to 4.0.2 and all my trouble disapires everyting work like a charm πŸ™‚ thanks for your help MrBrutal and the quick responce

        good luck with this. we will continue to use it πŸ™‚

Leave a Reply

Your email address will not be published. Required fields are marked *